<resources>

    <style name="Panel" parent="android:style/Theme.Panel">
        <item name="android:windowIsFloating">false</item>
        <item name="android:windowTitleStyle">@null</item>
        <item name="android:windowBackground">@color/dim</item>
        <item name="android:windowAnimationStyle">@style/FadeAnimation</item>
    </style>

    <style name="PanelNoAnim" parent="android:style/Theme.Panel">
        <item name="android:windowIsFloating">false</item>
        <item name="android:windowTitleStyle">@null</item>
        <item name="android:windowBackground">@color/dim</item>
    </style>

    <style name="FadeAnimation">
        <item name="android:windowEnterAnimation">@anim/fast_fade_in</item>
        <item name="android:windowExitAnimation">@anim/fast_fade_out</item>
    </style>

    <style name="FunButton" >
        <item name="text">ok, entendi</item>
        <item name="backgroundRipple">@drawable/fun_button</item>
    </style>

    <style name="FunButtonWithIcon" >
        <item name="text">continuar</item>
        <item name="subText">para simulação</item>
        <item name="backgroundRipple">@drawable/fun_button</item>
        <item name="fontIcon">@string/ic_seta_right</item>
    </style>

    <style name="FunCheckBox">
        <item name="color">@animator/color_state_list</item>
        <item name="showToast">true</item>
        <item name="inverted">false</item>
        <item name="android:checked">false</item>
        <item name="android:fontFamily">@font/roboto_bold</item>
        <item name="android:importantForAccessibility">yes</item>
    </style>

    <style name="DefaultTextView">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:paddingStart">16dp</item>
        <item name="android:paddingEnd">16dp</item>
        <item name="android:paddingTop">8dp</item>
        <item name="android:paddingBottom">8dp</item>
        <item name="android:lineSpacingExtra">2dp</item>
    </style>

    <style name="LabelView">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:gravity">center_vertical</item>
        <item name="label_style">@style/funTextGrayMedium14</item>
        <item name="value_style">@style/funTextGrayDark18Bold</item>
        <item name="sub_value_style">@style/funTextGrayMedium14</item>
        <item name="android:paddingStart">16dp</item>
        <item name="android:paddingEnd">16dp</item>
        <item name="android:paddingTop">8dp</item>
        <item name="android:paddingBottom">8dp</item>
    </style>

    <style name="LabelViewLessPadding" parent="LabelView">
        <item name="android:paddingStart">0dp</item>
        <item name="android:paddingEnd">0dp</item>
    </style>

    <style name="HeaderTextStyle">
        <item name="android:textColor">@color/black</item>
        <item name="android:textStyle">normal</item>
    </style>

    <style name="HeaderTextStyleBold" parent="HeaderTextStyle">
        <item name="android:textStyle">bold</item>
    </style>

    <style name="ReceiptBuilderView">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:orientation">horizontal</item>
    </style>

    <style name="ShareView">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="printBackgroundColor">@color/white</item>
        <item name="shareViewText">Compartilhar com:</item>
        <item name="openViewText">Salvo! Abrir com:</item>
        <item name="toast">false</item>
        <item name="toastText">Salvo com sucesso!</item>
    </style>

    <style name="PrintLinearLayout">
        <item name="android:clipToPadding">false</item>
    </style>

    <style name="FeedBackHeaderView">
        <item name="header_icon">@string/ic_funfonts_check</item>
    </style>

    <style name="MenuButton">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">75dp</item>
        <item name="android:layout_marginStart">16dp</item>
        <item name="android:layout_marginEnd">16dp</item>
    </style>

    <style name="LinearToolbar">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">88dp</item>
        <item name="android:padding">16dp</item>
    </style>

    <!-- Text styles -->

    <!-- 12 -->
    <style name="funText12">
        <item name="android:textSize">12sp</item>
        <item name="android:fontFamily">@font/roboto_regular</item>
    </style>

    <style name="funTextWhite12" parent="funText12">
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funTextGrayMedium12" parent="funText12">
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funTextGrayMedium12Bold" parent="funText12">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funTextGrayDark12" parent="funText12">
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funTextGrayDark12Bold" parent="funText12">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <!-- 14 -->

    <style name="funText14">
        <item name="android:textSize">14sp</item>
        <item name="android:fontFamily">@font/roboto_regular</item>
    </style>

    <style name="funTextPurple14Bold" parent="funText14">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funTextPurple14" parent="funText14">
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funTextWhite14Bold" parent="funText14">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funTextWhite14" parent="funText14">
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funTextwhite14" parent="funText14">
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funTextGreen14" parent="funText14">
        <item name="android:textColor">@color/green_700</item>
    </style>

    <style name="funTextGreen14Bold" parent="funText14">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/green_700</item>
    </style>

    <style name="funTextGrayMedium14Bold" parent="funText14">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funTextGrayMedium14" parent="funText14">
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funTextGrayMediumReguar14Bold" parent="funText14">
        <item name="android:textColor">@color/grey_500</item>
        <item name="android:textStyle">bold</item>
    </style>

    <style name="funTextGrayBrownish14" parent="funText14">
        <item name="android:textColor">@color/grey_600</item>
    </style>

    <style name="funTextGrayDark14Bold" parent="funText14">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funTextGrayDark14" parent="funText14">
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funTextBlue14Bold" parent="funText14">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/blue_700</item>
    </style>

    <style name="funTextBlue14" parent="funText14">
        <item name="android:textColor">@color/blue_700</item>
    </style>

    <style name="funTextRed14" parent="funText14">
        <item name="android:textColor">@color/red_500</item>
        <item name="android:typeface">@font/roboto_black</item>
    </style>

    <!-- 16 -->

    <style name="funText16">
        <item name="android:textSize">16sp</item>
        <item name="android:fontFamily">@font/roboto_regular</item>
    </style>

    <style name="funTextWhite40Alhpa16Bold" parent="funText16">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funTextWhiteMedium16" parent="funText16">
        <item name="android:fontFamily">sans-serif-medium</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funTextWhite16Bold" parent="funText16">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funTextPurple16" parent="funText16">
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funTextPurple16Bold" parent="funText16">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funTextPurple40Alhpa16Bold" parent="funText16">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funTextGreen16" parent="funText16">
        <item name="android:textColor">@color/green_700</item>
    </style>

    <style name="funTextGreen16Bold" parent="funText16">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/green_700</item>
    </style>

    <style name="funTextGrayMedium16Bold" parent="funText16">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funTextGrayMedium18Bold" parent="funText18">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funTextGrayMedium16" parent="funText16">
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funTextGrayDark16Bold" parent="funText16">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funTextGrayDark18Bold" parent="funText18">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funTextGrayDark16Medium" parent="funText16">
        <item name="android:fontFamily">@font/roboto_bold</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funTextGrayDark16" parent="funText16">
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funTextBlue16" parent="funText16">
        <item name="android:textColor">@color/blue_500</item>
    </style>

    <style name="funTextBlue16Bold" parent="funTextBlue16">
        <item name="android:fontFamily">@font/roboto_black</item>
    </style>

    <style name="funTextToolBar16" parent="funText16">
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funTextBlack16" parent="funText16">
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="funTexBoldBlack16" parent="funTextBlack16">
        <item name="android:fontFamily">@font/roboto_bold</item>
    </style>

    <style name="funTextBlueMedium16Bold" parent="funText16">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/blue_500</item>
    </style>

    <style name="funTextBlueDark16Bold" parent="funText16">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/blue_700</item>
    </style>

    <style name="funTextGrayDark16FontSizeBold" parent="funText16">
        <item name="android:fontFamily">@font/roboto_bold</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funText16BoldWhite" parent="funText16">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/white</item>
    </style>


    <!-- 18 -->

    <style name="funText18">
        <item name="android:textSize">18sp</item>
        <item name="android:fontFamily">@font/roboto_regular</item>
    </style>

    <style name="funTextGrayMedium18">
        <item name="android:textSize">18sp</item>
        <item name="android:textColor">@color/grey_500</item>
        <item name="android:fontFamily">@font/roboto_regular</item>
    </style>

    <style name="funTextWhiteMedium18" parent="funText18">
        <item name="android:fontFamily">@font/roboto_bold</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funTextBlueDark18Bold" parent="funText18">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/blue_700</item>
    </style>

    <!-- 20 -->

    <style name="funText20">
        <item name="android:textSize">20sp</item>
        <item name="android:fontFamily">@font/roboto_regular</item>
    </style>

    <style name="funText20Bold" parent="funText20">
        <item name="android:fontFamily">@font/roboto_bold</item>
    </style>

    <style name="funTextWhite20" parent="funText20">
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funTextGrayDark20Bold" parent="funText20">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funTextGrayDark20FontBold" parent="funText20">
        <item name="android:fontFamily">@font/roboto_bold</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funTextGrayBrownishDark20Medium" parent="funText20">
        <item name="android:fontFamily">@font/roboto_bold</item>
        <item name="android:textColor">@color/grey_600</item>
    </style>

    <style name="funTextGrayMedium20Bold" parent="funText20">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funTextGrayMedium20" parent="funText20">
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funTextPurple20Bold" parent="funText20">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funTextGrayMedium20Medium" parent="funText20">
        <item name="android:fontFamily">@font/roboto_bold</item>
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funTextBlueDark20Bold" parent="funText20">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/blue_700</item>
    </style>
    <!-- 24 -->

    <style name="funText24">
        <item name="android:textSize">24sp</item>
        <item name="android:fontFamily">@font/roboto_regular</item>
    </style>

    <style name="funTextWhite24" parent="funText24">
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funText24Bold" parent="funText24">
        <item name="android:fontFamily">@font/roboto_bold</item>
    </style>

    <style name="funText24Black" parent="funText24">
        <item name="android:fontFamily">@font/roboto_black</item>
    </style>

    <style name="funTextGrayDark24Bold" parent="funText24">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funTextGrayMedium24Bold" parent="funText24">
        <item name="android:fontFamily">@font/roboto_black</item>
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funTextGrayMedium24" parent="funText24">
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funTextPurple24" parent="funText24">
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funTextPurple24Bold" parent="funTextPurple24">
        <item name="android:fontFamily">@font/roboto_black</item>
    </style>

    <style name="funTextGreen24" parent="funText24">
        <item name="android:textColor">@color/green_700</item>
    </style>

    <!-- 28 -->

    <style name="funText28">
        <item name="android:textSize">28sp</item>
        <item name="android:fontFamily">@font/roboto_regular</item>
    </style>

    <style name="funText28Black" parent="funText28">
        <item name="android:fontFamily">@font/roboto_black</item>
    </style>

    <style name="funTextGrayMedium28" parent="funText28">
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funTextRobotoLight28" parent="funText28">
        <item name="android:fontFamily">@font/roboto_regular</item>
    </style>

    <!-- 32 -->

    <style name="funTextWhite32Bold">
        <item name="android:textSize">32sp</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:fontFamily">@font/roboto_black</item>
    </style>

    <!-- 40 -->
    <style name="funTextWhite40">
        <item name="android:textSize">40sp</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:fontFamily">@font/roboto_regular</item>
    </style>

    <!--region Icon styles -->


    <style name="funIcon">
        <item name="android:fontFamily">@font/icon_font</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <!-- 12 -->
    <style name="funIcon12" parent="funIcon">
        <item name="android:textSize">12sp</item>
    </style>

    <style name="funIconWhite12" parent="funIcon12">
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funIconGrayMedium12" parent="funIcon12">
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funIconGrayMedium12Bold" parent="funIcon12">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funIconGrayDark12" parent="funIcon12">
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funIconGrayDark12Bold" parent="funIcon12">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <!-- 14 -->

    <style name="funIcon14" parent="funIcon">
        <item name="android:textSize">14sp</item>
    </style>

    <style name="funIconPurple14Bold" parent="funIcon14">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funIconPurple14" parent="funIcon14">
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funIconWhite14Bold" parent="funIcon14">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funIconWhite14" parent="funIcon14">
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funIconwhite14" parent="funIcon14">
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funIconGreen14" parent="funIcon14">
        <item name="android:textColor">@color/green_700</item>
    </style>

    <style name="funIconGreen14Bold" parent="funIcon14">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/green_700</item>
    </style>

    <style name="funIconGrayMedium14Bold" parent="funIcon14">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funIconGrayMedium14" parent="funIcon14">
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funIconGrayMediumReguar14Bold" parent="funIcon14">
        <item name="android:textColor">@color/grey_500</item>
        <item name="android:textStyle">bold</item>
    </style>

    <style name="funIconGrayBrownish14" parent="funIcon14">
        <item name="android:textColor">@color/grey_600</item>
    </style>

    <style name="funIconGrayDark14Bold" parent="funIcon14">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funIconGrayDark14" parent="funIcon14">
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funIconBlue14Bold" parent="funIcon14">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/blue_700</item>
    </style>

    <style name="funIconBlue14" parent="funIcon14">
        <item name="android:textColor">@color/blue_700</item>
    </style>

    <style name="funIconRed14" parent="funIcon14">
        <item name="android:textColor">@color/red_500</item>
        <item name="android:typeface">@font/vector_icons</item>
    </style>

    <!-- 16 -->

    <style name="funIcon16" parent="funIcon">
        <item name="android:textSize">16sp</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funIconWhite40Alhpa16Bold" parent="funIcon16">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funIconWhiteMedium16" parent="funIcon16">
        <item name="android:fontFamily">sans-serif-medium</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funIconWhite16Bold" parent="funIcon16">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funIconPurple16" parent="funIcon16">
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funIconPurple16Bold" parent="funIcon16">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funIconPurple40Alhpa16Bold" parent="funIcon16">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funIconGreen16Bold" parent="funIcon16">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/green_700</item>
    </style>

    <style name="funIconGrayMedium16Bold" parent="funIcon16">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funIconGrayMedium16" parent="funIcon16">
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funIconGrayDark16Bold" parent="funIcon16">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funIconGrayDark18Bold" parent="funIcon18">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funIconGrayDark16Medium" parent="funIcon16">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funIconGrayDark16" parent="funIcon16">
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funIconToolBar16" parent="funIcon16">
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funIconBlueMedium16" parent="funIcon16">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/blue_500</item>
    </style>

    <style name="funIcon16BoldWhite" parent="funIcon16">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <!-- 18 -->

    <style name="funIconGrayMedium18" parent="funIcon">
        <item name="android:textSize">18sp</item>
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funIcon18">
        <item name="android:textSize">18sp</item>
        <item name="android:fontFamily">@font/vector_icons</item>
    </style>

    <style name="funIconWhiteMedium18" parent="funIcon18">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <!-- 20 -->

    <style name="funIcon20" parent="funIcon">
        <item name="android:textSize">20sp</item>
    </style>

    <style name="funIconWhite20" parent="funIcon20">
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funIconGrayDark20Bold" parent="funIcon20">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funIconGrayDark20FontBold" parent="funIcon20">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funIconGrayBrownishDark20Medium" parent="funIcon20">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/grey_600</item>
    </style>

    <style name="funIconGrayMedium20Bold" parent="funIcon20">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funIconGrayMedium20" parent="funIcon20">
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funIconPurple20Bold" parent="funIcon20">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funIconGrayMedium20Medium" parent="funIcon20">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <!-- 24 -->

    <style name="funIcon24" parent="funIcon">
        <item name="android:textSize">24sp</item>
        <item name="android:layout_width">24sp</item>
        <item name="android:layout_height">24sp</item>
    </style>

    <style name="funIconBlack24" parent="funIcon24">
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="funIconWhite24" parent="funIcon24">
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funIconGrayDark24Bold" parent="funIcon24">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funIconGrayMedium24Bold" parent="funIcon24">
        <item name="android:fontFamily">@font/vector_icons</item>
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funIconGrayMedium24" parent="funIcon24">
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funIconPurple24" parent="funIcon24">
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funIconGreen24" parent="funIcon24">
        <item name="android:textColor">@color/green_700</item>
    </style>

    <style name="funIconBlue24" parent="funIcon24">
        <item name="android:textColor">@color/blue_700</item>
    </style>

    <!-- 28 -->

    <style name="funIcon28" parent="funIcon">
        <item name="android:textSize">28sp</item>
    </style>

    <style name="funIconGrayMedium28" parent="funIcon28">
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funIconRobotoLight28" parent="funIcon28">
        <item name="android:fontFamily">@font/vector_icons</item>
    </style>

    <!-- 32 -->

    <style name="funIcon32" parent="funIcon">
        <item name="android:textSize">32sp</item>
    </style>

    <style name="funIconWhite32" parent="funIcon32">
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funIconPurple32" parent="funIcon32">
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funIconGray32" parent="funIcon32">
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funIconGrayMedium32" parent="funIcon32">
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funIconBlue32" parent="funIcon32">
        <item name="android:textColor">@color/blue_700</item>
    </style>

    <!-- 40 -->

    <style name="funIcon40" parent="funIcon">
        <item name="android:textSize">40sp</item>
    </style>

    <style name="funIconWhite40" parent="funIcon40">
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funIconPurple40" parent="funIcon40">
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funIconGray40" parent="funIcon40">
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funIconGrayMedium40" parent="funIcon40">
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funIconBlue40" parent="funIcon40">
        <item name="android:textColor">@color/blue_700</item>
    </style>

    <!-- 48 -->

    <style name="funIcon48" parent="funIcon">
        <item name="android:textSize">48sp</item>
    </style>

    <style name="funIconWhite48" parent="funIcon48">
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="funIconPurple48" parent="funIcon48">
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funIconGray48" parent="funIcon48">
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funIconGrayMedium48" parent="funIcon48">
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funIconBlue48" parent="funIcon48">
        <item name="android:textColor">@color/blue_700</item>
    </style>

    <!-- 96 -->

    <style name="funIcon96" parent="funIcon">
        <item name="android:textSize">96sp</item>
    </style>

    <style name="funIconWhite96" parent="funIcon96">
        <item name="android:textColor">@color/white</item>
    </style>
    <style name="funIcon96Bold" parent="funIcon96">
        <item name="android:textStyle">bold</item>
    </style>

    <style name="funIconPurple96" parent="funIcon96">
        <item name="android:textColor">@color/purple_500</item>
    </style>

    <style name="funIconGray96" parent="funIcon96">
        <item name="android:textColor">@color/grey_700</item>
    </style>

    <style name="funIconGrayMedium96" parent="funIcon96">
        <item name="android:textColor">@color/grey_500</item>
    </style>

    <style name="funIconBlue96" parent="funIcon96">
        <item name="android:textColor">@color/blue_700</item>
    </style>

</resources>
